Bug 460324 - system-config-samba doesn't want to add user when unix-windows username mapping exists
system-config-samba doesn't want to add user when unix-windows username mappi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 11:23 EDT by Nils Philippsen
Modified: 2016-08-11 07:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 07:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-08-27 11:23:53 EDT
+++ This bug was initially created as a clone of Bug #460298 +++

Description of problem:
system-config-samba  performs check whether user being added already exists in the samba database or not. But it doesn't check it against the list of real samba users, instead it checks it against the list of users who have unix-windows username mapping. These two lists are usually different.


Version-Release number of selected component (if applicable):
system-config-samba-1.2.41-3

How reproducible:
always

Steps to Reproduce:
1. add user to samba, don't create username mapping  (smbpasswd -a no-mapping)
2. add mapping for a user but don't add the actual user to samba (echo "mapped-user = alias" >> /username/mapping/file ; # the mapping file is /etc/samba/smbusers unless the "username map" option is used in smb.conf )
3. add no-mapping and mapped-user users via system-config-samba
  
Actual results:
- mapped-user is not allowed to be added even though he doesn't exist in the samba user database 
- no-mapping user is "re"added - overwriting previous record 

Expected results:
mapped-user added
no-mapping user not added


Additional info:
system-config-samba behaves like this only when checking usernames while adding. It correctly lists all existing samba users when configuring shares or in the "samba users" window.
Comment 1 Bug Zapper 2008-11-25 21:52:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:19:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nils Philippsen 2009-11-27 07:04:43 EST
Change version back to rawhide, add FutureFeature keyword so this bug stays open until it's fixed.
Comment 4 Nils Philippsen 2016-08-11 07:23:44 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-samba anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.